import 'package:json_form/element_form.dart';
import 'package:json_form/material.dart';
import 'package:json_form/model_form/adapters/i_element_adapter.dart';

class StringElementAdapter extends IElementAdapter<dynamic, FormElement>{

  @override
  bool isMatch(value) {
    if(value.runtimeType == String){
      return true;
    }

    return false;
  }

  @override
  FormElement adapt(from) {
    return MaterialTextFormElement(
      initialValue: from
    );
  }

}